Skip to main content
GET
/
v1
/
calls
List calls
curl --request GET \
  --url https://mgmt-api.voxfra.com/v1/calls \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "call_start_time": "2023-11-07T05:31:56Z",
      "call_end_time": "2023-11-07T05:31:56Z",
      "call_duration_seconds": 123,
      "caller_phone_number": "<string>",
      "caller_full_name": "<string>",
      "call_summary": "<string>",
      "transcript": "<string>",
      "transfer_flag": true,
      "hangup_reason": "<string>",
      "recording_url": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your Voxfra management API key. Passed as a request header.

Format: vox_mgmt_<random>

Query Parameters

client_id
string<uuid>

Filter by client UUID

start_date
string<date-time>

ISO 8601 date — return calls on or after this date

end_date
string<date-time>

ISO 8601 date — return calls on or before this date

limit
integer
default:50

Number of results to return (max 200, default 50)

Required range: 1 <= x <= 200
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Response

Paginated list of calls

data
object[]
pagination
object